# Role : docker_vaultwarden

## Services fournis

- main.yml : Installation de vaultwarden sur un serveur docker_host

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_vaultwarden_fqdn: vaultwarden.example.com
docker_vaultwarden_version: 1.29.1
docker_vaultwarden_data_dir: /data1
docker_vaultwarden_service_id: vaultwarden
docker_vaultwarden_db_password: mot_de_passe
```

| Option                               | Valeur par défaut | Description                                                                                |
|--------------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_vaultwarden_fqdn              |                   | Le fqdn pour accéder à vaultwarden                                                         |
| docker_vaultwarden_version           |                   | Version de l'image vaultwarden                                                             |
| docker_vaultwarden_data_dir          |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_vaultwarden_service_id        |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_vaultwarden_db_name           | vaultwarden       | Le nom souhaité pour la base de données                                                    |
| docker_vaultwarden_db_user           | vaultwarden       | Le nom souhaité pour le proprietaire de la base                                            |
| docker_vaultwarden_db_password       |                   | Le mot de passe du proprietaire de la base                                                 |
| docker_vaultwarden_allow_signups     | true              | Permet d'accepter l'auto inscription des utilisateurs                                      |
| docker_vaultwarden_allow_invitations | true              | Permet d'inviter d'autres utilisateurs depuis vaultwarden                                  |
| docker_vaultwarden_smtp_host         |                   | Adresse du serveur smtp à utiliser                                                         |
| docker_vaultwarden_smtp_from         |                   | Adresse de l'expéditeur des courriels de vaultwarden                                       |
| docker_vaultwarden_smtp_port         |                   | Port du serveur smtp                                                                       |
| docker_vaultwarden_smtp_security     |                   | Type de sécurité pour les connexions smtp                                                  |
| docker_vaultwarden_smtp_username     |                   | Compte d'utilisateur pour les connexions smtp authentifiées                                |
| docker_vaultwarden_smtp_password     |                   | Mot de passe du compte smtp                                                                |
| docker_vaultwarden_admin_token       |                   | Mot de passe d'administration (url /admin)                                                 |



# Admin token

Il est possible d'indiquer un admin token "en clair", mais il est préférable d'obtenir un token tel que décrit ici
https://github.com/dani-garcia/vaultwarden/wiki/Enabling-admin-page#secure-the-admin_token

```
docker-compose exec vaultwarden /vaultwarden hash
```

Attention à doubler les caractères $ obtenus au moment de copier/coller le résultat dans la variable `docker_vaultwarden_admin_token` pour que docker-compose ne croie pas avoir à substituer des variables.

